Package com.ocient.jdbc.proto

# Enum PlanProtocol.SqlColType

java.lang.Object
java.lang.Enum<PlanProtocol.SqlColType>
com.ocient.jdbc.proto.PlanProtocol.SqlColType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.SqlColType>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol

    public static enum PlanProtocol.SqlColType
    extends Enum<PlanProtocol.SqlColType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.SqlColType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`INVALID` | `INVALID = 0;`
`TYPE_ARRAY` | `TYPE_ARRAY = 30;`
`TYPE_BIGINT` | 8 bytes signed
`TYPE_BINARY` | binary string
`TYPE_BOOLEAN` | `TYPE_BOOLEAN = 9;`
`TYPE_BYTE` | 1 byte signed int
`TYPE_DATE` | just date
`TYPE_DAYS` | `TYPE_DAYS = 17;`
`TYPE_DECIMAL` | `TYPE_DECIMAL = 27;`
`TYPE_DOUBLE` | 8 bytes float
`TYPE_FLOAT` | 4 bytes float
`TYPE_HASH` | Fixed length binary type
`TYPE_HOURS` | `TYPE_HOURS = 16;`
`TYPE_INT` | 4 bytes signed
`TYPE_IP` | IPv6 type
`TYPE_IPV4` | `TYPE_IPV4 = 6;`
`TYPE_MATRIX` | This type can appear anywhere in the plan, but will go away before the final output that gets returned to the user
`TYPE_MICROSECONDS` | `TYPE_MICROSECONDS = 28;`
`TYPE_MILLISECONDS` | The following types can only appear in intermediate results in an extend operation
`TYPE_MINUTES` | `TYPE_MINUTES = 15;`
`TYPE_MONTHS` | `TYPE_MONTHS = 18;`
`TYPE_NANOSECONDS` | `TYPE_NANOSECONDS = 29;`
`TYPE_NULL` | Indicates a NULL literal known at compile time
`TYPE_SECONDS` | `TYPE_SECONDS = 14;`
`TYPE_SMALLINT` | 2 bytes signed
`TYPE_ST_POINT` | ST POINT
`TYPE_TIME` | `TYPE_TIME = 26;`
`TYPE_TIMESTAMP` | time + date
`TYPE_TUPLE` | `TYPE_TUPLE = 31;`
`TYPE_UUID` | `TYPE_UUID = 22;`
`TYPE_VARCHAR` | `TYPE_VARCHAR = 5;`
`TYPE_WEEKS` | `TYPE_WEEKS = 32;`
`TYPE_YEARS` | `TYPE_YEARS = 19;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `INVALID_VALUE` | `INVALID = 0;`
`static int` | `TYPE_ARRAY_VALUE` | `TYPE_ARRAY = 30;`
`static int` | `TYPE_BIGINT_VALUE` | 8 bytes signed
`static int` | `TYPE_BINARY_VALUE` | binary string
`static int` | `TYPE_BOOLEAN_VALUE` | `TYPE_BOOLEAN = 9;`
`static int` | `TYPE_BYTE_VALUE` | 1 byte signed int
`static int` | `TYPE_DATE_VALUE` | just date
`static int` | `TYPE_DAYS_VALUE` | `TYPE_DAYS = 17;`
`static int` | `TYPE_DECIMAL_VALUE` | `TYPE_DECIMAL = 27;`
`static int` | `TYPE_DOUBLE_VALUE` | 8 bytes float
`static int` | `TYPE_FLOAT_VALUE` | 4 bytes float
`static int` | `TYPE_HASH_VALUE` | Fixed length binary type
`static int` | `TYPE_HOURS_VALUE` | `TYPE_HOURS = 16;`
`static int` | `TYPE_INT_VALUE` | 4 bytes signed
`static int` | `TYPE_IP_VALUE` | IPv6 type
`static int` | `TYPE_IPV4_VALUE` | `TYPE_IPV4 = 6;`
`static int` | `TYPE_MATRIX_VALUE` | This type can appear anywhere in the plan, but will go away before the final output that gets returned to the user
`static int` | `TYPE_MICROSECONDS_VALUE` | `TYPE_MICROSECONDS = 28;`
`static int` | `TYPE_MILLISECONDS_VALUE` | The following types can only appear in intermediate results in an extend operation
`static int` | `TYPE_MINUTES_VALUE` | `TYPE_MINUTES = 15;`
`static int` | `TYPE_MONTHS_VALUE` | `TYPE_MONTHS = 18;`
`static int` | `TYPE_NANOSECONDS_VALUE` | `TYPE_NANOSECONDS = 29;`
`static int` | `TYPE_NULL_VALUE` | Indicates a NULL literal known at compile time
`static int` | `TYPE_SECONDS_VALUE` | `TYPE_SECONDS = 14;`
`static int` | `TYPE_SMALLINT_VALUE` | 2 bytes signed
`static int` | `TYPE_ST_POINT_VALUE` | ST POINT
`static int` | `TYPE_TIME_VALUE` | `TYPE_TIME = 26;`
`static int` | `TYPE_TIMESTAMP_VALUE` | time + date
`static int` | `TYPE_TUPLE_VALUE` | `TYPE_TUPLE = 31;`
`static int` | `TYPE_UUID_VALUE` | `TYPE_UUID = 22;`
`static int` | `TYPE_VARCHAR_VALUE` | `TYPE_VARCHAR = 5;`
`static int` | `TYPE_WEEKS_VALUE` | `TYPE_WEEKS = 32;`
`static int` | `TYPE_YEARS_VALUE` | `TYPE_YEARS = 19;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.SqlColType` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.SqlColType>` | `internalGetValueMap()` |
`static PlanProtocol.SqlColType` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.SqlColType` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.SqlColType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.SqlColType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final PlanProtocol.SqlColType INVALID
`INVALID = 0;`

### TYPE_INT

public static final PlanProtocol.SqlColType TYPE_INT

    4 bytes signed

`TYPE_INT = 1;`

### TYPE_BIGINT

public static final PlanProtocol.SqlColType TYPE_BIGINT

    8 bytes signed

`TYPE_BIGINT = 2;`

### TYPE_FLOAT

public static final PlanProtocol.SqlColType TYPE_FLOAT

    4 bytes float

`TYPE_FLOAT = 3;`

### TYPE_DOUBLE

public static final PlanProtocol.SqlColType TYPE_DOUBLE

    8 bytes float

`TYPE_DOUBLE = 4;`

### TYPE_VARCHAR

public static final PlanProtocol.SqlColType TYPE_VARCHAR
`TYPE_VARCHAR = 5;`

### TYPE_IPV4

public static final PlanProtocol.SqlColType TYPE_IPV4
`TYPE_IPV4 = 6;`

### TYPE_TIMESTAMP

public static final PlanProtocol.SqlColType TYPE_TIMESTAMP

    time + date

`TYPE_TIMESTAMP = 7;`

### TYPE_DATE

public static final PlanProtocol.SqlColType TYPE_DATE

    just date

`TYPE_DATE = 8;`

### TYPE_BOOLEAN

public static final PlanProtocol.SqlColType TYPE_BOOLEAN
`TYPE_BOOLEAN = 9;`

### TYPE_BINARY

public static final PlanProtocol.SqlColType TYPE_BINARY

    binary string

`TYPE_BINARY = 10;`

### TYPE_SMALLINT

public static final PlanProtocol.SqlColType TYPE_SMALLINT

    2 bytes signed

`TYPE_SMALLINT = 11;`

### TYPE_BYTE

public static final PlanProtocol.SqlColType TYPE_BYTE

    1 byte signed int

`TYPE_BYTE = 12;`

### TYPE_MILLISECONDS

public static final PlanProtocol.SqlColType TYPE_MILLISECONDS

    The following types can only appear in intermediate results in an extend operation

`TYPE_MILLISECONDS = 13;`

### TYPE_SECONDS

public static final PlanProtocol.SqlColType TYPE_SECONDS
`TYPE_SECONDS = 14;`

### TYPE_MINUTES

public static final PlanProtocol.SqlColType TYPE_MINUTES
`TYPE_MINUTES = 15;`

### TYPE_HOURS

public static final PlanProtocol.SqlColType TYPE_HOURS
`TYPE_HOURS = 16;`

### TYPE_DAYS

public static final PlanProtocol.SqlColType TYPE_DAYS
`TYPE_DAYS = 17;`

### TYPE_MONTHS

public static final PlanProtocol.SqlColType TYPE_MONTHS
`TYPE_MONTHS = 18;`

### TYPE_YEARS

public static final PlanProtocol.SqlColType TYPE_YEARS
`TYPE_YEARS = 19;`

### TYPE_MATRIX

public static final PlanProtocol.SqlColType TYPE_MATRIX

    This type can appear anywhere in the plan, but will go away before the final output that gets returned to the user

`TYPE_MATRIX = 20;`

### TYPE_NULL

public static final PlanProtocol.SqlColType TYPE_NULL

    Indicates a NULL literal known at compile time

`TYPE_NULL = 21;`

### TYPE_UUID

public static final PlanProtocol.SqlColType TYPE_UUID
`TYPE_UUID = 22;`

### TYPE_HASH

public static final PlanProtocol.SqlColType TYPE_HASH

    Fixed length binary type

`TYPE_HASH = 23;`

### TYPE_IP

public static final PlanProtocol.SqlColType TYPE_IP

    IPv6 type

`TYPE_IP = 24;`

### TYPE_ST_POINT

public static final PlanProtocol.SqlColType TYPE_ST_POINT

    ST POINT

`TYPE_ST_POINT = 25;`

### TYPE_TIME

public static final PlanProtocol.SqlColType TYPE_TIME
`TYPE_TIME = 26;`

### TYPE_DECIMAL

public static final PlanProtocol.SqlColType TYPE_DECIMAL
`TYPE_DECIMAL = 27;`

### TYPE_MICROSECONDS

public static final PlanProtocol.SqlColType TYPE_MICROSECONDS
`TYPE_MICROSECONDS = 28;`

### TYPE_NANOSECONDS

public static final PlanProtocol.SqlColType TYPE_NANOSECONDS
`TYPE_NANOSECONDS = 29;`

### TYPE_ARRAY

public static final PlanProtocol.SqlColType TYPE_ARRAY
`TYPE_ARRAY = 30;`

### TYPE_TUPLE

public static final PlanProtocol.SqlColType TYPE_TUPLE
`TYPE_TUPLE = 31;`

### TYPE_WEEKS

public static final PlanProtocol.SqlColType TYPE_WEEKS
`TYPE_WEEKS = 32;`

### UNRECOGNIZED

public static final PlanProtocol.SqlColType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### TYPE_INT_VALUE

public static final int TYPE_INT_VALUE

    4 bytes signed

`TYPE_INT = 1;`

See Also:
  Constant Field Values

### TYPE_BIGINT_VALUE

public static final int TYPE_BIGINT_VALUE

    8 bytes signed

`TYPE_BIGINT = 2;`

See Also:
  Constant Field Values

### TYPE_FLOAT_VALUE

public static final int TYPE_FLOAT_VALUE

    4 bytes float

`TYPE_FLOAT = 3;`

See Also:
  Constant Field Values

### TYPE_DOUBLE_VALUE

public static final int TYPE_DOUBLE_VALUE

    8 bytes float

`TYPE_DOUBLE = 4;`

See Also:
  Constant Field Values

### TYPE_VARCHAR_VALUE

public static final int TYPE_VARCHAR_VALUE
`TYPE_VARCHAR = 5;`

See Also:
  Constant Field Values

### TYPE_IPV4_VALUE

public static final int TYPE_IPV4_VALUE
`TYPE_IPV4 = 6;`

See Also:
  Constant Field Values

### TYPE_TIMESTAMP_VALUE

public static final int TYPE_TIMESTAMP_VALUE

    time + date

`TYPE_TIMESTAMP = 7;`

See Also:
  Constant Field Values

### TYPE_DATE_VALUE

public static final int TYPE_DATE_VALUE

    just date

`TYPE_DATE = 8;`

See Also:
  Constant Field Values

### TYPE_BOOLEAN_VALUE

public static final int TYPE_BOOLEAN_VALUE
`TYPE_BOOLEAN = 9;`

See Also:
  Constant Field Values

### TYPE_BINARY_VALUE

public static final int TYPE_BINARY_VALUE

    binary string

`TYPE_BINARY = 10;`

See Also:
  Constant Field Values

### TYPE_SMALLINT_VALUE

public static final int TYPE_SMALLINT_VALUE

    2 bytes signed

`TYPE_SMALLINT = 11;`

See Also:
  Constant Field Values

### TYPE_BYTE_VALUE

public static final int TYPE_BYTE_VALUE

    1 byte signed int

`TYPE_BYTE = 12;`

See Also:
  Constant Field Values

### TYPE_MILLISECONDS_VALUE

public static final int TYPE_MILLISECONDS_VALUE

    The following types can only appear in intermediate results in an extend operation

`TYPE_MILLISECONDS = 13;`

See Also:
  Constant Field Values

### TYPE_SECONDS_VALUE

public static final int TYPE_SECONDS_VALUE
`TYPE_SECONDS = 14;`

See Also:
  Constant Field Values

### TYPE_MINUTES_VALUE

public static final int TYPE_MINUTES_VALUE
`TYPE_MINUTES = 15;`

See Also:
  Constant Field Values

### TYPE_HOURS_VALUE

public static final int TYPE_HOURS_VALUE
`TYPE_HOURS = 16;`

See Also:
  Constant Field Values

### TYPE_DAYS_VALUE

public static final int TYPE_DAYS_VALUE
`TYPE_DAYS = 17;`

See Also:
  Constant Field Values

### TYPE_MONTHS_VALUE

public static final int TYPE_MONTHS_VALUE
`TYPE_MONTHS = 18;`

See Also:
  Constant Field Values

### TYPE_YEARS_VALUE

public static final int TYPE_YEARS_VALUE
`TYPE_YEARS = 19;`

See Also:
  Constant Field Values

### TYPE_MATRIX_VALUE

public static final int TYPE_MATRIX_VALUE

    This type can appear anywhere in the plan, but will go away before the final output that gets returned to the user

`TYPE_MATRIX = 20;`

See Also:
  Constant Field Values

### TYPE_NULL_VALUE

public static final int TYPE_NULL_VALUE

    Indicates a NULL literal known at compile time

`TYPE_NULL = 21;`

See Also:
  Constant Field Values

### TYPE_UUID_VALUE

public static final int TYPE_UUID_VALUE
`TYPE_UUID = 22;`

See Also:
  Constant Field Values

### TYPE_HASH_VALUE

public static final int TYPE_HASH_VALUE

    Fixed length binary type

`TYPE_HASH = 23;`

See Also:
  Constant Field Values

### TYPE_IP_VALUE

public static final int TYPE_IP_VALUE

    IPv6 type

`TYPE_IP = 24;`

See Also:
  Constant Field Values

### TYPE_ST_POINT_VALUE

public static final int TYPE_ST_POINT_VALUE

    ST POINT

`TYPE_ST_POINT = 25;`

See Also:
  Constant Field Values

### TYPE_TIME_VALUE

public static final int TYPE_TIME_VALUE
`TYPE_TIME = 26;`

See Also:
  Constant Field Values

### TYPE_DECIMAL_VALUE

public static final int TYPE_DECIMAL_VALUE
`TYPE_DECIMAL = 27;`

See Also:
  Constant Field Values

### TYPE_MICROSECONDS_VALUE

public static final int TYPE_MICROSECONDS_VALUE
`TYPE_MICROSECONDS = 28;`

See Also:
  Constant Field Values

### TYPE_NANOSECONDS_VALUE

public static final int TYPE_NANOSECONDS_VALUE
`TYPE_NANOSECONDS = 29;`

See Also:
  Constant Field Values

### TYPE_ARRAY_VALUE

public static final int TYPE_ARRAY_VALUE
`TYPE_ARRAY = 30;`

See Also:
  Constant Field Values

### TYPE_TUPLE_VALUE

public static final int TYPE_TUPLE_VALUE
`TYPE_TUPLE = 31;`

See Also:
  Constant Field Values

### TYPE_WEEKS_VALUE

public static final int TYPE_WEEKS_VALUE
`TYPE_WEEKS = 32;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.SqlColType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.SqlColType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.SqlColType valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.SqlColType forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.SqlColType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.SqlColType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null